Bug 1464400 - [abrt] dnfdragora-gui: __call__(): __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Timeout was reached (24)
[abrt] dnfdragora-gui: __call__(): __init__.py:250:_handle_dbus_error:dnfdaem...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnfdragora (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0b006d45cb7ab8e73a748cf557c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 06:58 EDT by Joseph D. Wagner
Modified: 2018-01-01 17:10 EST (History)
9 users (show)

See Also:
Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-31 16:27:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.46 KB, text/plain)
2017-06-23 06:58 EDT, Joseph D. Wagner
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-23 06:58 EDT, Joseph D. Wagner
no flags Details
File: cpuinfo (1012 bytes, text/plain)
2017-06-23 06:58 EDT, Joseph D. Wagner
no flags Details
File: environ (1.34 KB, text/plain)
2017-06-23 06:58 EDT, Joseph D. Wagner
no flags Details
File: mountinfo (3.13 KB, text/plain)
2017-06-23 06:58 EDT, Joseph D. Wagner
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-23 06:58 EDT, Joseph D. Wagner
no flags Details
File: open_fds (921 bytes, text/plain)
2017-06-23 06:59 EDT, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2017-06-23 06:58:47 EDT
Description of problem:
All I did was click the quit button.

Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.12.0-0.rc5.git0.1.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Timeout was reached (24)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 214, in _get_daemon
    self.running_api_version = proxy.GetVersion()
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-io-error-quark: Timeout was reached (24)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 236, in inner
    callback(self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 320, in __call__
    return self._action(icon, self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 414, in wrapper1
    return action(icon)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 109, in __run_dnfdragora
    return self.__run_dialog({})
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 104, in __run_dialog
    self.__main_gui = ui.mainGui(args)
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 214, in __init__
    rpm_groups = self.backend.GetGroups()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 50, in backend
    return self.get_root_backend()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 69, in get_root_backend
    self._root_backend = dnfdragora.dnf_backend.DnfRootBackend(self, self._use_comps)
  File "/usr/lib/python3.6/site-packages/dnfdragora/dnf_backend.py", line 151, in __init__
    dnfdaemon.client.Client.__init__(self)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 549, in __init__
    DnfDaemonBase.__init__(self, system, ORG, INTERFACE)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 205, in __init__
    self.daemon = self._get_daemon(bus, org, interface)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 223, in _get_daemon
    self._handle_dbus_error(err)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-io-error-quark: Timeout was reached (24)

Local variables in innermost frame:
msg: ''
exc: ''
err: GLib.Error('Timeout was reached', 'g-io-error-quark', 24)
self: <dnfdragora.dnf_backend.DnfRootBackend object at 0x7f6f788deac8>
Comment 1 Joseph D. Wagner 2017-06-23 06:58:53 EDT
Created attachment 1290969 [details]
File: backtrace
Comment 2 Joseph D. Wagner 2017-06-23 06:58:54 EDT
Created attachment 1290970 [details]
File: cgroup
Comment 3 Joseph D. Wagner 2017-06-23 06:58:55 EDT
Created attachment 1290971 [details]
File: cpuinfo
Comment 4 Joseph D. Wagner 2017-06-23 06:58:56 EDT
Created attachment 1290972 [details]
File: environ
Comment 5 Joseph D. Wagner 2017-06-23 06:58:58 EDT
Created attachment 1290973 [details]
File: mountinfo
Comment 6 Joseph D. Wagner 2017-06-23 06:58:59 EDT
Created attachment 1290974 [details]
File: namespaces
Comment 7 Joseph D. Wagner 2017-06-23 06:59:00 EDT
Created attachment 1290975 [details]
File: open_fds
Comment 8 Jan Kurik 2017-08-15 02:15:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 9 mohamed abdelhamed 2017-11-04 15:10:57 EDT
*** Bug 1509566 has been marked as a duplicate of this bug. ***
Comment 10 Sergey Ivanov 2017-11-14 11:17:24 EST
Similar problem has been detected:

Just tried to start dnfdragora-updater after upgrade to Fedora-27. I think it's related to "Software Updates" still enabled as of Fedora-26

reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.12-300.fc27.x86_64
package:        dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27
reason:         __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Timeout was reached (24)
runlevel:       N 5
type:           Python3
uid:            12401
Comment 11 Alexandr 2017-12-05 02:28:37 EST
Similar problem has been detected:

1. Install fedora-cinnamon-live 27 
2.Click on "updates" icon in tray
3.Open dnfdragora dialog

reporter:       libreport-2.9.2
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.9-300.fc27.x86_64
package:        dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27
reason:         __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Timeout was reached (24)
runlevel:       N 5
type:           Python3
uid:            1000
Comment 12 Richard L. England 2017-12-16 12:25:21 EST
Similar problem has been detected:

started dnfdragora and it seems to have stalled.  The error then occurred and dfndragora stopped.

reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.13-300.fc27.x86_64
package:        dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27
reason:         __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Timeout was reached (24)
runlevel:       N 5
type:           Python3
uid:            1000
Comment 13 Fedora Update System 2017-12-29 18:21:07 EST
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06
Comment 14 Fedora Update System 2017-12-29 18:26:40 EST
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b
Comment 15 Fedora Update System 2017-12-30 14:53:33 EST
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06
Comment 16 Fedora Update System 2017-12-30 15:39:20 EST
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b
Comment 17 Fedora Update System 2017-12-31 16:27:05 EST
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2018-01-01 17:10:45 EST
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.